Get ABR Stream
Returns the details of an abr stream
curl -X GET "https://api.5centscdn.com/v2/streams/abr/1001" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/streams/abr/1001"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/abr/1001", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/streams/abr/1001", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/abr/1001')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"stream": {
"monitoring_id": null,
"type": "abr",
"id": 54216,
"serviceid": 103,
"name": "althaftest1/abr1",
"codec": "h264",
"ingests": [
[
"RTMP"
],
[
"RTMP"
]
],
"protocols": [
[
"HLS"
],
[
"HLS"
]
],
"parentid": null,
"server": "201",
"backup": "",
"dedicatedLTC": "0",
"hasAdvancedFeatures": "1",
"monitoring_triggers": null,
"draft": "0",
"disabled": "0",
"created_at": "2026-01-01 00:00:00",
"updated_at": "2026-03-30 05:30:21",
"lastseen_at": "2026-01-01 00:00:00",
"deleted": null,
"ingestsLock": 0,
"protocolsLock": 0,
"status": "Enabled",
"has": {
"rtmp": 0,
"rtsp": 0,
"hls": 1,
"dash": 0,
"rtmpauth": true
},
"fms": {
"server": {
"country": "North America",
"meta": {
"fmsUrl": "rtmp://fms-01-01.5centscdn.com"
}
}
},
"abr": {
"streams": 5,
"hashes": {
"1": "abr11",
"2": "abr12",
"3": "abr13",
"4": "abr14",
"5": "abr15"
}
},
"parts": {
"pp": "althaftest1",
"sn": "abr1",
"full": "althaftest1abr1"
},
"restream": {},
"playbackurls": {
"scheme": "https",
"url_prefix": "https://stream-abc12-hls-live.stream.example.com",
"rtmp": "",
"rtsp": "",
"hlsManifest": "playlist.m3u8",
"dashManifest": "manifest.mpd",
"hls": "https://hash-hls-live.5centscdn.com",
"dash": "https://hash-hls-live.5centscdn.com",
"players": {
"flowplayer": {
"baseQ": "",
"base": "https://cdn.example.com/flowplayer/hls/",
"hls": "https://cdn.example.com/flowplayer/hls/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4",
"rtmp": "",
"rtsp": "",
"hds": ""
},
"videojs": {
"baseQ": "",
"base": "https://cdn.example.com/videojs/hls/",
"hls": "https://cdn.example.com/videojs/hls/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4",
"rtmp": "",
"rtsp": "",
"hds": ""
},
"own": {
"hashes": {
"stream-abc12-hls-live.stream.example.com": {
"hash": "k71ud1t7ox6ipg6d",
"hls": "https://hash-hls-live.5centscdn.com",
"base64": "aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4",
"dash": "https://hash-hls-live.5centscdn.com",
"base64dash": "aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4"
}
},
"baseQ": "?showcv=true&title=althaftest1/abr1",
"base": "https://cdn.example.com/player/hls/skin1/k71ud1t7ox6ipg6d/",
"hls": "https://cdn.example.com/player/hls/skin1/k71ud1t7ox6ipg6d/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4?showcv=true&title=althaftest1/abr1",
"dash": "https://cdn.example.com/player/dash/skin1/k71ud1t7ox6ipg6d/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4?showcv=true&title=althaftest1/abr1"
}
},
"hds": "",
"tokenized": null
},
"platformsCount": 0,
"ssl_enabled": true,
"hash": "abr1",
"ndvr": {
"enabled": "N",
"retention": "5"
},
"securetoken": {
"enabled": "N",
"policy": "D",
"keyip": "N",
"list": "",
"timeout": 3600,
"session": "0",
"ips": "",
"dirs": null,
"active": "N"
},
"record": {
"enabled": "N",
"retention": "1",
"stream": {
"id": 54217,
"type": "record"
}
},
"timeshifts": [
{
"id": 55624,
"type": "timeshift",
"name": "althaftest1_ts/abr1_althafdelayedstreamtest"
}
],
"domainlock": {
"enabled": "N",
"policy": "Y",
"list": "example.com,docs.example.com",
"ips": "",
"noreferer": "N",
"active": "N"
},
"geoblock": {
"enabled": "N",
"policy": "N",
"list": [
""
],
"ips": "",
"active": "N"
},
"ipaccess": {
"enabled": "N",
"policy": "N",
"list": "",
"ips": "",
"active": "N"
},
"useragent": {
"enabled": "N",
"policy": "Y",
"list": "",
"ips": "",
"casesensitive": "N",
"active": "N",
"listArr": [
""
]
},
"rtmpauth": {
"password": "",
"active": "N"
},
"transcode": {
"ltc": 0,
"type": "mixed",
"enabled": false,
"isEditable": true
},
"platforms": [],
"messages": {},
"adInsertion": {
"id": 7,
"relid": 54216,
"type": "stream",
"enabled": "Y",
"policy": "2",
"provider": null,
"meta": {
"adpreroll": {
"maxDuration": 30,
"offset": 0
},
"adreplacement": {
"scte35": {
"adBreakTriggers": [
"0x22",
"0x30",
"0x32",
"0x34",
"0x36",
"splice_insert"
],
"markersToRemove": [
"ALL"
]
},
"onStartWithinAdBreak": "replace"
}
},
"defaultDuration": 30,
"created_at": "2026-03-30 07:12:25",
"schedules": [],
"active": "N"
}
}
}
GET
/streams/abr/{streamid}GET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
streamidstring
RequiredStream ID
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Responses
resultstring
Status of the API response.
streamobject
Stream object containing configuration and status details.
Was this page helpful?